View Issue Details

IDProjectCategoryView StatusLast Update
0000018Gen2VDR 6.0VDR / VDR Pluginspublic2017-05-26 00:23
ReporterMegaV0lt 
Assigned ToHelAu 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product VersionUpdate 5 
Target VersionUpdate 6Fixed in VersionUpdate 6 
Summary0000018: Sortiermodus im VDR (Nach Name)
Description

Im VDR ist der Sortiermodus auf "Nach Name" voreingestellt. Das ist unschön und unsinnig, da ich ja Aufnahmen nach dem Datum schaue.
Dazu gibt es einen Patch, der wohl nicht drin ist:
https://dl.dropboxusercontent.com/u/1490505/VDR/patches_2.1.3/vdr-2.2.0_sortmode.diff

Der stellt den Sortiermodus auf "Nach Datum". Man kann natürlich nach wie vor mit "0" den Modus in jedem Verzeichnis ändern.

TagsNo tags attached.

Relationships

Activities

MegaV0lt

2017-05-04 10:24

administrator  

vdr-2.2.0_sortmode.diff (441 bytes)
--- recording.c 2015/02/07 15:28:02     3.27
+++ recording.c 2015/02/16 07:49:14
@@ -3027,6 +3027,6 @@

 void GetRecordingsSortMode(const char *Directory)
 {
-  RecordingsSortMode = rsmName;
+  RecordingsSortMode = rsmTime;
   if (FILE *f = fopen(AddDirectory(Directory, SORTMODEFILE), "r")) {
      char buf[8];
      if (fgets(buf, sizeof(buf), f))
         RecordingsSortMode = eRecordingsSortMode(constrain(atoi(buf), 0, int(rsmTime)));

Issue History

Date Modified Username Field Change
2017-03-01 08:26 MegaV0lt New Issue
2017-03-01 08:26 MegaV0lt Status new => assigned
2017-03-01 08:26 MegaV0lt Assigned To => HelAu
2017-05-04 10:24 MegaV0lt File Added: vdr-2.2.0_sortmode.diff
2017-05-26 00:23 HelAu Status assigned => resolved
2017-05-26 00:23 HelAu Resolution open => fixed
2017-05-26 00:23 HelAu Fixed in Version => Update 6
2017-05-26 00:23 HelAu Target Version => Update 6